#ifndef LEMuSRParticleChangeForSR_h 
#define LEMuSRParticleChangeForSR_h 1

#include "G4ParticleChangeForTransport.hh"


class  LEMuSRParticleChangeForSR : public G4ParticleChangeForTransport
{

  G4Step* UpdateStepForAtRest(G4Step* Step);
  
public: 
  G4double theDecayTime;




  inline void SetDecayTime(G4double fDecayTime) { theDecayTime =   fDecayTime; }
  
  inline G4double GetDecayTime() { return theDecayTime; }
  
};


#endif
